package com.zbkj.service.service.bcx;

import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.zbkj.common.model.bcx.BcxUserOrgAuth;
import com.zbkj.common.request.PageParamRequest;
import com.zbkj.common.request.bcx.BcxUserOrgAuthRequest;
import com.zbkj.common.vo.MyRecord;

import java.util.List;

/**
 * 用户企业认证表 服务接口
 */
public interface BcxUserOrgAuthService extends IService<BcxUserOrgAuth> {

    BcxUserOrgAuth queryById(Integer id);
    PageInfo<BcxUserOrgAuth> queryPagedList(BcxUserOrgAuth request,
                                            PageParamRequest pageParamRequest);
    Boolean create(BcxUserOrgAuthRequest bcxUserOrgAuth);
    Boolean update(BcxUserOrgAuth bcxUserOrgAuth);
    Boolean delete(Integer id);

    BcxUserOrgAuth queryUserOrg();
}
